//
//  RewardedAdModel.swift
//  sdk-demo-ios
//
//  Created by Smaato Inc on 10.07.18.
//  Copyright © 2018 Smaato Inc. All rights reserved.
//

import Foundation

struct RewardedAdModel: AdModel {
    var adSpaceId: String
    var name: String

    init(adSpaceId: String, name: String) {
        self.adSpaceId = adSpaceId
        self.name = name
    }

    init?(dictionary: [String: Any]) {
        guard let adSpaceId = dictionary["adSpaceId"] as? String,
              let name = dictionary["name"] as? String else {
            return nil
        }
        self.init(adSpaceId: adSpaceId, name: name)
    }
}
